# QMdiSubWindow Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QMdiSubWindow(QWidget parent, WindowFlags flags)

### Constructor Properties

- prototype: The QMdiSubWindow prototype object
- AllowOutsideAreaHorizontally = 0x1
- AllowOutsideAreaVertically = 0x2
- RubberBandResize = 0x4
- RubberBandMove = 0x8
- SubWindowOption( value )
- SubWindowOptions( value1, value2, ... )

### Prototype Object Properties

The QMdiSubWindow prototype object inherits properties from the QWidget prototype object and also has the following properties.

- bool isShaded()
- QWidget maximizedButtonsWidget()
- QWidget maximizedSystemMenuIconWidget()
- QMdiArea mdiArea()
- QSize minimumSizeHint()
- void setOption(SubWindowOption option, bool on)
- void setSystemMenu(QMenu systemMenu)
- void setWidget(QWidget widget)
- QSize sizeHint()
- QMenu systemMenu()
- bool testOption(SubWindowOption arg__1)
- QWidget widget()

### Instance Properties

QMdiSubWindow objects inherit properties from the QMdiSubWindow prototype object and also have the following properties.

- keyboardSingleStep
- keyboardPageStep